Create Group

POST /internal/admin/comms/v1/group

Operation id: post__internal_admin_comms_v1_group

Description

Creates a new user group. At least three targets are required.

Tags: User Groups

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringYesTenant ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
namestringNo
descriptionstringNo
targetsarrayNo
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "targets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "is_admin": {
            "type": "boolean"
          },
          "user_login": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
idintegerNo
descriptionstringNo
namestringNo
targetsarrayNo
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer"
    },
    "description": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "targets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "is_admin": {
            "type": "boolean"
          },
          "user_login": {
            "type": "string"
          }
        }
      }
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusCodeintegerNo
detailsstringNo
{
  "type": "object",
  "properties": {
    "statusCode": {
      "type": "integer"
    },
    "details": {
      "type": "string"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}